#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-appbuilder

%:
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif


execute_after_dh_auto_build-indep:
	#PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

override_dh_auto_test:

disabled:
	dh_auto_test -- --system=custom --test-args \
	"\
	cd {build_dir} ;\
	export SQLALCHEMY_DATABASE_URI=postgresql+psycopg2:// ;\
	echo -=-=-=-=-=  Testing {interpreter}  =-=-=-=-=- ;\
	pg_virtualenv {interpreter} -m nose \
		--verbose \
		--logging-level=WARNING \
		--attr '!needs_inet' \
		--ignore-files='test_mongoengine\.py' \
		flask_appbuilder.tests &&\
	rm -f roles_export_*.json \
	"

override_dh_installdocs:

disabled_too:
	dh_installdocs --package=python3-flask-appbuilder
	dh_installdocs --package=python-flask-appbuilder-doc \
		--doc-main-package=python3-flask-appbuilder

override_dh_installexamples:
	dh_installexamples \
		--exclude=.coverage \
		--exclude=.gitignore \
		--package=python-flask-appbuilder-doc \
		--doc-main-package=python3-flask-appbuilder
